Bug 185941 - audio/soundtouch: Update to version 1.8.0
audio/soundtouch: Update to version 1.8.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-20 18:40 UTC by tkato432
Modified: 2014-02-07 13:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.40 KB, patch)
2014-01-20 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-01-20 18:40:06 UTC
- Update to version 1.8.0
Comment 1 Martin Wilke freebsd_committer 2014-01-23 15:48:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-07 13:05:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter freebsd_committer 2014-02-07 13:06:05 UTC
Author: miwi
Date: Fri Feb  7 13:05:57 2014
New Revision: 343228
URL: http://svnweb.freebsd.org/changeset/ports/343228
QAT: https://qat.redports.org/buildarchive/r343228/

Log:
  - Update to 1.8.0
  
  PR:		185941
  Submitted by:	ports fury

Modified:
  head/audio/soundtouch/Makefile
  head/audio/soundtouch/distinfo

Modified: head/audio/soundtouch/Makefile
==============================================================================
--- head/audio/soundtouch/Makefile	Fri Feb  7 13:04:08 2014	(r343227)
+++ head/audio/soundtouch/Makefile	Fri Feb  7 13:05:57 2014	(r343228)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	soundtouch
-PORTVERSION=	1.7.1
+PORTVERSION=	1.8.0
 CATEGORIES=	audio
 MASTER_SITES=	http://www.surina.net/soundtouch/
 
@@ -11,37 +11,37 @@ COMMENT=	Open-source audio processing li
 
 LICENSE=	LGPL21
 
-OPTIONS_DEFINE=	INTEGER_SAMPLES DOCS
-INTEGER_SAMPLES_DESC=	Use integer sample format
-
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
 USE_AUTOTOOLS=	libtoolize aclocal autoheader automake autoconf
-NO_STAGE=	yes
 ACLOCAL_ARGS=	-I config/m4
 AUTOMAKE_ARGS=	--add-missing --copy --foreign
+CONFIGURE_ARGS=	--disable-silent-rules
 USE_LDCONFIG=	yes
 
-.include <bsd.port.options.mk>
+OPTIONS_DEFINE=	INTEGER_SAMPLES DOCS
+OPTIONS_DEFINE_amd64=	SSE
+OPTIONS_DEFINE_i386=	SSE
 
-.if ${PORT_OPTIONS:MINTEGER_SAMPLES}
-CONFIGURE_ARGS+=	--enable-integer-samples
-.endif
+INTEGER_SAMPLES_DESC=	Use integer sample format
+INTEGER_SAMPLES_CONFIGURE_ENABLE=	integer-samples
+SSE_CONFIGURE_ENABLE=	x86-optimizations
+
+.include <bsd.port.options.mk>
 
 post-patch:
 	@${REINPLACE_CMD} -e \
-		's|^pkgdoc_DATA|#pkgdoc_DATA| ; \
+		'/^pkgdoc_DATA/s|COPYING.TXT|| ; \
 		 s|$$(libdir)/pkgconfig|$$(prefix)/libdata/pkgconfig|' \
 		${WRKSRC}/Makefile.am
-	@${FIND} ${WRKSRC}/source -name "Makefile.am" | ${XARGS} \
-		${REINPLACE_CMD} -e \
-		's|-O[0-9]|| ; \
-		 s|-msse||'
-
-post-install:
-.if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README.html ${DOCSDIR}
-.endif
+	@${REINPLACE_CMD} -e \
+		's|^INCLUDES|AM_CPPFLAGS| ; \
+		 s|$$(prefix)/doc|$$(datadir)/doc|' \
+		${WRKSRC}/config/am_include.mk
+.for i in SoundStretch SoundTouch
+	@${REINPLACE_CMD} -e \
+		's|-O[0-9]||' \
+		${WRKSRC}/source/${i}/Makefile.am
+.endfor
 
 .include <bsd.port.mk>

Modified: head/audio/soundtouch/distinfo
==============================================================================
--- head/audio/soundtouch/distinfo	Fri Feb  7 13:04:08 2014	(r343227)
+++ head/audio/soundtouch/distinfo	Fri Feb  7 13:05:57 2014	(r343228)
@@ -1,2 +1,2 @@
-SHA256 (soundtouch-1.7.1.tar.gz) = 385eafa438a9d31ddf84b8d2f713097a3f1fc93d7abdb2fc54c484b777ee0267
-SIZE (soundtouch-1.7.1.tar.gz) = 101274
+SHA256 (soundtouch-1.8.0.tar.gz) = 3d4161d74ca25c5a98c69dbb8ea10fd2be409ba1a3a0bf81db407c4c261f166b
+SIZE (soundtouch-1.8.0.tar.gz) = 106229
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"